A Firewall rule to block Chrome less than v75....?

Hello!
Is there any way to block User Agents whose Google Chrome is less than 75?
I am having many logs of the same Agents but with the difference that the version of Chrome is equal to or less than 70.
And I doubt it’s a real person using a browser from 2018
What would be the rule?

This is an example of one of the many … the vast majority have the difference in the chrome version.
Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit /537.36 (KHTML, like Gecko) Chrome/72.0.3626.109 Safari/537.36

Thanks!!

I believe you would at least need the and within contains operator in some sort of combination to achieve that, if so (or due to the possible solution by using regular expressions to match the needed, which work on a paid Business Plan).

Or, you could gather the Chrome User-agents from the existing list, therefore create a Firewall Rule and combine all of them somehow (Win7, Win8, Win10, Win11, Android, iOS, Linux …).

https://developers.whatismybrowser.com/useragents/explore/software_name/chrome/

Kindly and patiently, wait for some other reply from someone more experienced or someone maybe has got an better idea.

Any other clue like HTTP version/protocol, or the static IP address, or specific request you do see, or the AS number, etc. from Firewall Events tab at Cloudflare dashboard?

I am sharing below two posts (as they contain link to the posts with top user agents lists, etc.) which could help you a bit with it at least:

Thanks for your answer, I am working on combinations but no effect on my part., Thanks!!

What do you think about this??
Would it work to block any user agent that uses Chrome less than 86 and Firefox less than 71?
For my part I think it would work … your opinions?

Block this expression:

(http.user_agent contains “Chrome/85”) or
(http.user_agent contains “Chrome/84”) or
(http.user_agent contains “Chrome/83”) or
(http.user_agent contains “Chrome/82”) or
(http.user_agent contains “Chrome/81”) or
(http.user_agent contains “Chrome/80”) or
(http.user_agent contains “Chrome/7”) or
(http.user_agent contains “Chrome/6”) or
(http.user_agent contains “Chrome/5”) or
(http.user_agent contains “Chrome/4”) or
(http.user_agent contains “Chrome/3”) or
(http.user_agent contains “Chrome/2”) or
(http.user_agent contains “Chrome/1”) or
(http.user_agent contains “Firefox/70”) or
(http.user_agent contains “Firefox/6”) or
(http.user_agent contains “Firefox/5”) or
(http.user_agent contains “Firefox/4”) or
(http.user_agent contains “Firefox/3”) or
(http.user_agent contains “Firefox/2”) or
(http.user_agent contains “Firefox/1”)

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.